var gameConfig = require("./GameConfig.js");
cc.Class({
    extends: cc.Component,
    properties: {

    },
    onLoad () {
        this.init();
    },
    init()
    {
        this.gameMode = this.node.parent.getComponent('GameMode');

        this.gameTime = 0;

        this.currentHandrailIndex = 0;
        this.currentHandrailIndexInLevel = 0;
        this.currentHandrailPositionLevel = 0;
        this.lastHandrailPosition = 0;

        this.drawedhandrailArr = [];
        this.handrailGCArr = [];
       
        //startLinePositionX
        this.startLinePX = this.gameMode.starting.x;

        //arrivedEndPlayerArray
        this.arrEndPArr = [];

        //Mgobe
        // this.playerId = '';
    }
});
